package com.sixin.module_p.ui.goods.transport.add

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.sixin.module_p.R
import com.sixin.module_p.base.BasePdaActivity
import com.sixin.module_p.databinding.ActivityPdaGoodsTransportAddBinding

class PdaGoodsTransportAddActivity :
    BasePdaActivity<ActivityPdaGoodsTransportAddBinding, PdaGoodsTransportAddViewModel>() {
    override fun layoutId(): Int {
        return R.layout.activity_pda_goods_transport_add
    }

    override fun viewModelClass(): Class<PdaGoodsTransportAddViewModel> {
        return PdaGoodsTransportAddViewModel::class.java
    }

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("货物转运信息补充")
        binding.viewModel = viewModel
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, PdaGoodsTransportAddActivity::class.java)
            context.startActivity(starter)
        }
    }

}